SOLVED: ofxMidi not working in 0.8.4 (works fine in 0.8.0)

Added the security framework and it works like a charm :slight_smile:

Hi!
Trying to get ofxMidi to work in of_v0.8.4_ios_release. Works great in V0.8.0 but I’m I’m getting Mach-O Linker errors. I double checked the addon location ( of_v0.8.4_ios_release/addons identical as in 0.8.0)

Any pointers would be much appreciated!
Thanks in advance
Alex

Undefined symbols for architecture armv7:
“_kSecValueData”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_kSecClass”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_kSecAttrKeyTypeRSA”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_kSecAttrKeyType”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_kSecReturnRef”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_kSecClassKey”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_SecKeyDecrypt”, referenced from:
-[ABSignatureValidator validateSignature:forContent:] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_SecKeyRawVerify”, referenced from:
-[ABSignatureValidator validateSignature:forContent:] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_kSecAttrApplicationTag”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_SecItemCopyMatching”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
“_SecItemAdd”, referenced from:
-[ABSignatureValidator init] in libofxiOS_iphoneos_Debug.a(ABSignatureValidator.o)
ld: symbol(s) not found for architecture armv7
clang: error: linker command failed with exit code 1 (use -v to see invocation)

The title has been changed to “SOLVED”, but there’s no solution posted?

I’d assume it was that you needed to add the Security.framework to your app, though.

Hi admsyn,

Exactly right!

I thought I had modified the post body explaining this when I changed the title… not sure what happened there.

Thanks
Alex

I meet the same problem in 0.9.0 ,and i add the Security.framework seems not work~:

I think there’s a CoreMidi frameworks, can you try adding that to the project too?

1 Like

Thanks,arturo.Finally works~~

Now i can run the example in the addon for the IOS Version.But it can’t make any sound.Is there anything wrong?